Class | Test::Unit::UI::Console::TestRunner
In: | test/unit/ui/console/testrunner.rb
Parent: | Object

Runs a Test::Unit::TestSuite on the console.

### Methods

new start

### Public Class methods

new(suite, output_level=NORMAL, io=STDOUT)

Creates a new TestRunner for running the passed suite. If quiet_mode is true, the output while running is limited to progress dots, errors and failures, and the final result. io specifies where runner output should go to; defaults to STDOUT.

[Source]

    # File test/unit/ui/console/testrunner.rb, line 23
              def initialize(suite, output_level=NORMAL, io=STDOUT)
                if (suite.respond_to?(:suite))
                  @suite = suite.suite
                else
                  @suite = suite
                end
                @output_level = output_level
                @io = io
                @already_outputted = false
                @faults = []
              end

### Public Instance methods

start()

Begins the test run.

[Source]

    # File test/unit/ui/console/testrunner.rb, line 36
              def start
                setup_mediator
                attach_to_mediator
                return start_mediator
              end

[Validate]